BadMethodCallException
InvalidArgumentException
Exceptions
PHP Manual

# The DomainException class

## Introdução

Exception thrown if a value does not adhere to a defined valid data domain

## Sinopse da classe

DomainException
DomainException extends LogicException {
/* Inherited methods */
final public string Exception::getMessage ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public string Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private string Exception::__clone ( void )
}

BadMethodCallException
InvalidArgumentException
Exceptions
PHP Manual